﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand { white-space: normal; text-align: center; word-break: break-all; }

/* Provide sufficient contrast against white background */
a { color: #0366d6; }

.btn-primary { color: #fff; background-color: #a6ce37; border-color: #a6ce37; }
.btn-primary:hover { background-color: #88b017; border-color: #88b017; }
.button-delete { color: #fff; background-color: #ff9d28; border-color: #ff9d28; }
.button-delete:hover { color: #fff; background-color: #ff8a00; border-color: #ff8a00; }
.alert-cookie { color: #fff; background-color: #747474; border-color: #747474; }
a { color: #a6ce37; }
a:hover { color: #88b017; }
.page-item.active .page-link { background-color: #a6ce37; border-color: #a6ce37; }
.form-check-input:checked { background-color: #a6ce37; border-color: #a6ce37; }
.change-state { display: none; }
.custom-footer { padding: 30px calc(24px / 2); position: absolute; right: 0; left: 0px; background-color: #f2f2f5; }
a.user-profile { color: #000; text-decoration: underline; }
a.user-profile:hover { color: #a6ce37;}

.input-validation-error { border: 1px solid rgb(244, 106, 106); }

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html { font-size: 14px; }

@media (min-width: 768px) {
    html { font-size: 16px; }
}

.border-top { border-top: 1px solid #e5e5e5; }
.border-bottom { border-bottom: 1px solid #e5e5e5; }

.box-shadow { box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05); }

button.accept-policy { font-size: 1rem; line-height: inherit; }

/* Sticky footer styles
-------------------------------------------------- */
html { position: relative; min-height: 100%; }

body { /* Margin bottom by footer height */ margin-bottom: 60px; }

.hidden { display: none }

/* SPINNER */
.spinner-container { position: absolute; display: none; left: 0; right: 0; top: 0; bottom: 0; background-color: #fff; opacity: 0.4; filter: alpha(opacity=40); /* For IE8 and earlier */ z-index: 1000; }
.spinner.loading { text-align: center; display: none; z-index: 1001; position: fixed; display: none; width: 200px; height: 200px; /*margin-top: -25px; margin-left: -25px; top: 50%; left: 50%;*/ top: 40%; left: 45%; }
.loading-text { position: absolute; top: 50%; left: calc(50% - 45px); text-align: center; }

.spinner.loading:before { content: ""; height: 90px; width: 90px; margin: -15px auto auto -15px; position: absolute; /*top: calc(50% - 45px); left: calc(50% - 45px);*/ border-width: 8px; border-style: solid; border-color: #2180c0 #ccc #ccc; border-radius: 100%; animation: rotation .7s infinite linear; }

@keyframes rotation {
    from { transform: rotate(0deg); }
    to { transform: rotate(359deg); }
}

.fa-1-5x {
    transform: scale(1.5);
}
@media (max-width: 1024px) {
    .no-mobile {
        display: none;
    }
}

.btn-delete {
    color: #a6ce37;
    cursor: pointer;
}

.btn-delete:hover {
    color: #88b017;
}

.cookie-disclaimer .cookie-close {
    float: right;
    padding: 10px;
    cursor: pointer;
}

.cookie-disclaimer {
    opacity: 0.8;
    width: 100%;
    bottom: 0;
    left: 0;
    z-index: 5;
    position: fixed;
    padding: .75rem 1.25rem
}

.accept-policy {
    display: inline-block;
    font-weight: 400;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border: 1px solid transparent;
    padding:4px 10px;
    font-size: 14px !important;
    border-radius: 0.25rem;
    -webkit-transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
}

@media (min-width: 1400px) {
    .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
        max-width: 1320px;
    }
}

@media (max-width: 800px) {
    .container-min-height {
        min-height: 500px;
    }
}

body.swal2-toast-shown .swal2-container.swal2-bottom-end {
    bottom: 30px;
}

ul.select2-selection__rendered {
    padding: 3px 13px !important;
}

#datatable_length{
    float: left;
}

@media (min-width: 1600px) {
    .container, .container-sm, .container-md, .container-lg, .container-xl, .container-xxl {
        max-width: 1520px;
    }
}

@media (min-width: 1800px) {
    .container, .container-sm, .container-md, .container-lg, .container-xl, .container-xxl {
        max-width: 1720px;
    }
}

/*@media (min-width: 2000px) {
    .container, .container-sm, .container-md, .container-lg, .container-xl, .container-xxl {
        max-width: 1920px;
    }
}

@media (min-width: 2200px) {
    .container, .container-sm, .container-md, .container-lg, .container-xl, .container-xxl {
        max-width: 2120px;
    }
}*/